<?php
include("api.php");

$api = new api();

switch($_SERVER["REQUEST_METHOD"]){
	case 'POST':
	if (isset($_POST["funcion"])) {
		$funcion = $_POST["funcion"];
		if ($funcion == "AddAreaCliente") {
			$AreaObjID = $_POST["AreaObjID"];
			$ClienteID = $_POST["ClienteID"];
			echo $api->AddAreaCliente($AreaObjID,$ClienteID);
		}

		if ($funcion == "eliminaAreaCliente") {
			$AreaObjID = $_POST["AreaObjID"];
			$ClienteID = $_POST["ClienteID"];
			echo $api->eliminaAreaCliente($AreaObjID,$ClienteID);
		}

		if ($funcion == "AddAreaOrganizacion") {
			$AreaObjID = $_POST["AreaObjID"];
			$OrganizacionID = $_POST["OrganizacionID"];
			echo $api->AddAreaOrganizacion($AreaObjID,$OrganizacionID);
		}

		if ($funcion == "eliminaAreaOrganizacion") {
			$AreaObjID = $_POST["AreaObjID"];
			$OrganizacionID = $_POST["OrganizacionID"];
			echo $api->eliminaAreaOrganizacion($AreaObjID,$OrganizacionID);
		}

		if ($funcion == "AddUpdCliente") {
			$ClienteID = $_POST["ClienteID"];
			$NombreEmpresa = $_POST["NombreEmpresa"];
			$Nombre1 = $_POST["Nombre1"];
			$Apellido1 = $_POST["Apellido1"];
			$OrganizacionID = $_POST["OrganizacionID"];
			$Usuario = $_POST["Usuario"];
			$Password = $_POST["Password"];

			echo $api->AddUpdCliente($ClienteID,$NombreEmpresa,$Nombre1,$Apellido1,$OrganizacionID,$Usuario,$Password);
		}

		if ($funcion == "AddUpdOrganizacion") {
			$OrganizacionID = $_POST["OrganizacionID"];
			$NombreOrganizacion = $_POST["NombreOrganizacion"];
			$RFC = $_POST["RFC"];
			$RazonSocial = $_POST["RazonSocial"];
			$Email = $_POST["Email"];
			$Domicilio = $_POST["Domicilio"];
			$CiudadID = $_POST["CiudadID"];
			echo $api->AddUpdOrganizacion($OrganizacionID,$NombreOrganizacion,$RFC,$RazonSocial,$Email,$Domicilio,$CiudadID);
		}

		if ($funcion == "AddUpdCupon") {
			$ProyectoID = $_POST["ProyectoID"];
			$Proyecto = $_POST["Proyecto"];
			$Password = $_POST["Password"];
			$FechaIni = $_POST["FechaIni"];
			$FechaFin = $_POST["FechaFin"];
			$Activo = $_POST["Activo"];
			echo $api->AddUpdCupon($ProyectoID,$Proyecto,$Password,$FechaIni,$FechaFin,$Activo);
		}

		if ($funcion == "AddUpdAreaObjeto") {
			$AreaObjID = $_POST["AreaObjID"];
			$AreaObj = $_POST["AreaObj"];
			$AbrevAreaObj = $_POST["AbrevAreaObj"];
			$Activo = $_POST["Activo"];
			echo $api->AddUpdAreaObjeto($AreaObjID,$AreaObj,$AbrevAreaObj,$Activo);
		}

		if ($funcion == "AddUpdObjetoCompuesto") {
			$ObjCompID = $_POST["ObjCompID"];
			$ObjComp = $_POST["ObjComp"];
			$UniObjComp = $_POST["UniObjComp"];
			$AreaObjID_FK = $_POST["AreaObjID_FK"];
			$Descripcion = $_POST["Descripcion"];
			$ClaveObjComp = $_POST["ClaveObjComp"];
			$Activo = $_POST["Activo"];
			$MostrarEtiquetas = $_POST["MostrarEtiquetas"];
			echo $api->AddUpdObjetoCompuesto($ObjCompID,$ObjComp,$UniObjComp,$AreaObjID_FK,$Descripcion,$ClaveObjComp,$Activo,$MostrarEtiquetas);
		}

		if ($funcion == "AddUpdParametro") {
			$ParametroID = $_POST["ParametroID"];
			$Parametro = $_POST["Parametro"];
			$UniParametro = $_POST["UniParametro"];
			$Opciones = $_POST["Opciones"];
			$Query = $_POST["Query"];
			$OrdenEtiquetas = $_POST["OrdenEtiquetas"];
			echo $api->AddUpdParametro($ParametroID,$Parametro,$UniParametro,$Opciones,$Query,$OrdenEtiquetas);
		}

		if ($funcion == "AddUpdjnc_objcomp_par") {
			$JncObjCompParID = $_POST["JncObjCompParID"];
			$ObjCompID_FK = $_POST["ObjCompID_FK"];
			$ParametroID_FK = $_POST["ParametroID_FK"];
			$NameOverride = $_POST["NameOverride"];
			$ValorPred = $_POST["ValorPred"];
			$ValorMin = $_POST["ValorMin"];
			$ValorMax = $_POST["ValorMax"];
			$ValorFijo = $_POST["ValorFijo"];
			$Activo = $_POST["Activo"];
			echo $api->AddUpdjnc_objcomp_par($JncObjCompParID,$ObjCompID_FK,$ParametroID_FK,$NameOverride,$ValorPred,$ValorMin,$ValorMax,$ValorFijo,$Activo);
		}

		if ($funcion == "obtenerCotizacionesProcesadas") {
			echo trim($api->obtenerCotizacionesProcesadas());
		}

		if ($funcion == "obtenerDetCotizacion") {
			$NoCotCliente = $_POST["NoCotCliente"];

			echo trim($api->obtenerDetCotizacion($NoCotCliente));
		}

		if ($funcion == "obtenerDetParCotizacion") {
			$ObjCompCotClienteID = $_POST["ObjCompCotClienteID"];

			echo trim($api->obtenerDetParCotizacion($ObjCompCotClienteID));
		}

		if ($funcion == "actualizaCotizacion") {
			$NoCotCliente = $_POST["NoCotCliente"];
			$StatusCotID = $_POST["StatusCotID"];
			echo $api->actualizaCotizacion($NoCotCliente,$StatusCotID);
		}

		if ($funcion == "actualizaObjCompCot") {
			$ObjCompCotClienteID = $_POST["ObjCompCotClienteID"];
			$PrecioUni = $_POST["PrecioUni"];
			echo $api->actualizaObjCompCot($ObjCompCotClienteID,$PrecioUni);
		}

		if ($funcion == "AddUpdCatMat") {
			$MatID = $_POST["MatID"];
			$Material = $_POST["Material"];
			$UniMaterial = $_POST["UniMaterial"];
			$Activo = $_POST["Activo"];
			$AreaMatID_FK = $_POST["AreaMatID_FK"];
			$LargoTablero = $_POST["LargoTablero"];
			$AnchoTablero = $_POST["AnchoTablero"];
			$EspesorTablero = $_POST["EspesorTablero"];
			$PesoUni = $_POST["PesoUni"];
			$MultConv = $_POST["MultConv"];
			$UniConv = $_POST["UniConv"];
			$ProvMuebleID = $_POST["ProvMuebleID"];
			$ArtCompraID_FK = $_POST["ArtCompraID_FK"];
			$EspCanto = $_POST["EspCanto"];
			$LineaID_FK = $_POST["LineaID_FK"];

			echo $api->AddUpdCatMat($MatID,$Material,$UniMaterial,$Activo,$AreaMatID_FK,$LargoTablero,$AnchoTablero,$EspesorTablero,$PesoUni,$MultConv,$UniConv,$ProvMuebleID,$ArtCompraID_FK,$EspCanto,$LineaID_FK);
		}

		if ($funcion == "AddUpdCatAct") {
			$ActID = $_POST["ActID"];
			$ClaveAct = $_POST["ClaveAct"];
			$Actividad = $_POST["Actividad"];
			$UniAct = $_POST["UniAct"];
			$AreaActID = $_POST["AreaActID"];
			$Activo = $_POST["Activo"];

			echo $api->AddUpdCatAct($ActID,$ClaveAct,$Actividad,$UniAct,$AreaActID,$Activo);
		}

		if ($funcion == "GetStatusCot") {
			$NoCotCliente = $_POST["NoCotCliente"];
			echo $api->GetStatusCot($NoCotCliente);
		}
	}
	break;
}

?>
